version: '3.0'
services:
  aggregator-auth-api:
    build: ./authentication
    restart: always
    environment:
      - NODE_ENV=dev
      - REST_PORT=5018
      - SOCKET_PORT=3300
      - DATABASE_TYPE=mongo
      - TIME_ZONE=Asia/Calcutta
      - TIME_ZONE_KST=Asia/Seoul
      - ENC_KEY=8721awdshvjb923hakjdc8hakjwhf
      - JWT_TOKEN_EXPIRE_TIME=86400000
      - IV=5PiS@Mtf%l@n53D_
    ports:
      - '5018:5018'
  aggregator-admin-api:
    build: ./admin
    restart: always
    environment:
      - NODE_ENV=dev
      - REST_PORT=5021
      - SOCKET_PORT=3300
      - DATABASE_TYPE=mongo
      - TIME_ZONE=Asia/Calcutta
      - TIME_ZONE_KST=Asia/Seoul
      - ENC_KEY=8721awdshvjb923hakjdc8hakjwhf
      - JWT_TOKEN_EXPIRE_TIME=86400000
      - IV=5PiS@Mtf%l@n53D_
    ports:
      - '5021:5021'
    depends_on:
      - aggregator-auth-api
  aggregator-client-api:
    build: ./client
    restart: always
    environment:
      - NODE_ENV=dev
      - REST_PORT=5022
      - SOCKET_PORT=3300
      - DATABASE_TYPE=mongo
      - TIME_ZONE=Asia/Calcutta
      - TIME_ZONE_KST=Asia/Seoul
      - ENC_KEY=8721awdshvjb923hakjdc8hakjwhf
      - JWT_TOKEN_EXPIRE_TIME=86400000
      - IV=5PiS@Mtf%l@n53D_
    ports:
      - '5022:5022'
    depends_on:
      - aggregator-auth-api
  aggregator-qtech-games-api:
    build: ./qtech-games
    restart: always
    environment:
      - NODE_ENV=dev
      - REST_PORT=5023
      - SOCKET_PORT=3300
      - DATABASE_TYPE=mongo
      - TIME_ZONE=Asia/Calcutta
      - TIME_ZONE_KST=Asia/Seoul
      - ENC_KEY=8721awdshvjb923hakjdc8hakjwhf
      - JWT_TOKEN_EXPIRE_TIME=86400000
      - IV=5PiS@Mtf%l@n53D_
    ports:
      - '5023:5023'
    depends_on:
      - aggregator-auth-api